OpenStack not installed with consistent uid/gid for glance/cinder/nova users

Bug #1657202 reported by Gaurang Tapase on 2017-01-17
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Juju Charms Collection
Undecided
Unassigned
cinder (Ubuntu)
Medium
Unassigned
glance (Ubuntu)
Medium
Unassigned
nova (Ubuntu)
Medium
Unassigned

Bug Description

For a shared/clustered filesystem (GPFS) backend, one of the requirement is to have a common uid/gid for nova/cinder/glance users across all nodes when nova/cinder/glance services are deployed. This is typically required in HA environment where these services run on more than one units. This is to have required minimal permissions to the directories which are accessed by these services. Otherwise, we have to set 777 permissions on these directories to make things work.

James Page (james-page) on 2017-12-11
summary: - OpenStack charm doesn't deploy glance/cinedr/nova with consistent
- uid/gid across multiple nodes
+ OpenStack not installed with consistent uid/gid for glance/cinder/nova
+ users
Changed in charms:
status: New → Invalid
James Page (james-page) wrote :

Gaurang

Please use the following allocations in any workarounds you might do in the short term:

    64060 | nova | OpenStack Compute
    64061 | cinder | OpenStack Block Storage
    64062 | glance | OpenStack Image

We'll work these into the queens packaging soon.

James Page (james-page) on 2017-12-12
Changed in nova (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
milestone: none → ubuntu-18.04
Changed in glance (Ubuntu):
milestone: none → ubuntu-18.04
Changed in cinder (Ubuntu):
milestone: none → ubuntu-18.04
Changed in glance (Ubuntu):
importance: Undecided → Medium
Changed in cinder (Ubuntu):
importance: Undecided → Medium
Changed in glance (Ubuntu):
status: New → Fix Committed
James Page (james-page) on 2017-12-12
Changed in cinder (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:17.0.0~b2-0ubuntu2

---------------
nova (2:17.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/nova-common.postinst: Use reserved uid/gid for nova user/group,
    ensuring consistency across deployments (LP: #1657202).

 -- James Page <email address hidden> Tue, 12 Dec 2017 15:20:52 +0000

Changed in nova (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2:16.0.0~b2-0ubuntu2

---------------
glance (2:16.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/glance-common.postinst: Use reserved uid/gid for glance user/group,
    ensuring consistency across deployments (LP: #1657202).
  * d/glance-common.install,rules: Skip install of rootwrap.conf as this
    is also shipped in glance-store.

 -- James Page <email address hidden> Tue, 12 Dec 2017 15:21:39 +0000

Changed in glance (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:12.0.0~b2-0ubuntu2

---------------
cinder (2:12.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/cinder-common.postinst: Use reserved uid/gid for cinder user/group,
    ensuring consistency across deployments (LP: #1657202).

 -- James Page <email address hidden> Tue, 12 Dec 2017 15:22:10 +0000

Changed in cinder (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers